Package com.microblink.blinkid.view.viewfinder.managers

# Class DocumentViewfinderManager

java.lang.Object
com.microblink.blinkid.view.viewfinder.managers.DocumentViewfinderManager

public class DocumentViewfinderManager extends Object
Document viewfinder manager that should be used for showing the splash screens over the viewfinder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentViewfinderManager(ViewfinderShapeView cardViewfinder, android.widget.TextView tvMessage, android.widget.ImageView ivIcon)`
  Constructor which accepts viewfinder overlay views.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearSplashScreen(long delay, long animationDuration)`
  Clears splash screen with alpha animation after the given delay.
  `void`
  `clearSplashScreen(long delay, long animationDuration, Runnable animationEndRunnable)`
  Clears splash screen with alpha animation after the given delay and executes the given `Runnable` when animation finishes.
  `void`
  `showSplashScreen(CharSequence message, android.graphics.drawable.Drawable icon, int backgroundColorResourceID)`
  Shows splash message over the viewfinder with given background.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentViewfinderManager

    public DocumentViewfinderManager(@NonNull ViewfinderShapeView cardViewfinder, @NonNull android.widget.TextView tvMessage, @NonNull android.widget.ImageView ivIcon)
    Constructor which accepts viewfinder overlay views.
    Parameters:
      `cardViewfinder` - viewfinder view.
      `tvMessage` - text view for displaying viewfinder text messages.
      `ivIcon` - icon view that is used for displaying document icon.

- ## Method Details

  - ### showSplashScreen

    public void showSplashScreen(@NonNull CharSequence message, @Nullable android.graphics.drawable.Drawable icon, @ColorRes int backgroundColorResourceID)
    Shows splash message over the viewfinder with given background.
    Parameters:
      `message` - splash text message.
      `icon` - document icon.
      `backgroundColorResourceID` - resource ID of the splash message background color.

  - ### clearSplashScreen

    public void clearSplashScreen(long delay, long animationDuration)
    Clears splash screen with alpha animation after the given delay.
    Parameters:
      `delay` - delay in milliseconds before clear animation will be started.
      `animationDuration` - duration of the clear alpha animation in milliseconds.

  - ### clearSplashScreen

    public void clearSplashScreen(long delay, long animationDuration, @Nullable Runnable animationEndRunnable)
    Clears splash screen with alpha animation after the given delay and executes the given `Runnable` when animation finishes.
    Parameters:
      `delay` - delay in milliseconds before clear animation will be started.
      `animationDuration` - duration of the clear alpha animation in milliseconds.
      `animationEndRunnable` - runnable to be executed when animation finishes.